############################################################
#
# type definition pro_software_component_dblbconfig
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 0.0.2
#
# Translation of edg-lcfg-dblbconfig by Elisabetta Ronchieri.
#
############################################################

template pro_software_component_dblbconfig;

include pro_declaration_component_dblbconfig;

# Package to install
"/software/packages"=pkg_repl("ncm-dblbconfig","0.0.2-1","noarch");
 
"/software/components/dblbconfig/dependencies/pre" = default(list("spma"));
"/software/components/dblbconfig/active"= default(true);
"/software/components/dblbconfig/dispatch"= default(true);

"/software/components/dblbconfig/register_change" =
  default(list("/system/edg/config/EDG_LOCATION",
               "/system/edg/config/EDG_LOCATION_VAR"));
 
# Default values for parameters.
"/software/components/dblbconfig/sqlFile" = default("edg-wll-db-setup.sql");
"/software/components/dblbconfig/arrivedSQLFile" = default("edg-wll-add-arrived.sql");
"/software/components/dblbconfig/srvstatSQLFile" = default("edg-wll-add-srvstat.sql");
"/software/components/dblbconfig/aclsSQLFile" = default("edg-wll-add_acls.sql");
"/software/components/dblbconfig/dbName" = default("lbserver20");
"/software/components/dblbconfig/dbUser" = default("lbserver");
"/software/components/dblbconfig/dbPassword" = default("dummy");
"/software/components/dblbconfig/dbPasswordFlag" = default("no");
