############################################################
#
# type definition pro_declaration_component_dblbconfig
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 0.0.2
#
# Translation of edg-lcfg-dblbconfig by Elisabetta Ronchieri.
#
############################################################

declaration template pro_declaration_component_dblbconfig;

include pro_declaration_structures;

define type component_dblbconfig = {
	include structure_component
        "sqlFile"        : string
        "arrivedSQLFile" : string
        "srvstatSQLFile" : string
        "aclsSQLFile"    : string
        "dbName"         : string
        "dbUser"         : string
        "dbPassword"     : string
        "dbPasswordFlag" : string with match (self, 'yes|no') 
};

type "/software/components/dblbconfig" = component_dblbconfig;
